<div class="row">
  <div class="col-md-12">
    <div class="card">
      <div class="card-header d-flex justify-content-between">
        <h4 class="card-title">{{ 'user.list' | translate }}</h4>
        <div>
          <a class="btn-outline" routerLink="/panel/users/create">{{ 'user.create' | translate }}</a>
        </div>
      </div>
      <div class="card-body">
        <div class="table-responsive">
          <table class="table tablesorter" id="">
            <thead class="">
              <tr>
                <th>{{ 'user.fullname' | translate }}</th>
                <th>{{ 'user.phone' | translate }}</th>
                <th>{{ 'user.email' | translate }}</th>
                <th>{{ 'user.create-at' | translate }}</th>
                <th class="text-center">{{ 'user.role' | translate }}</th>
                <th class="text-center">{{ 'user.status' | translate }}</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let user of users; let index=index">
                <td>
                  {{ user.fullname }}
                </td>
                <td>{{ user.mobile }}</td>
                <td><span *ngIf="user.email">{{ user.email }}</span><span *ngIf="!user.email">-</span></td>
                <td>{{ user.createdAt | jalali }}</td>
                <td class="text-center">
                  <span *ngIf="user.isAdmin">
                    {{'user.admin' | translate}}
                  </span>
                  <span *ngIf="!user.isAdmin">
                    {{'user.customer' | translate}}
                  </span>
                </td>
                <td class="text-center tools status">
                  <span class="fa fa-ban" [ngClass]="{'active': user.suspend}" (click)="changeUserStatus(user.id, user)"></span>
                </td>
              </tr>
            </tbody>
            <tfoot [hidden]="(users | search: query).length">
              <tr class="text-center">
                <th colspan="6">
                  {{ 'table.empty' | translate }}
                </th>
              </tr>
            </tfoot>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>